
# GeometricProblems.jl

*Collection of example problems with interesting geometric structure for
[GeometricIntegrators.jl](https://github.com/DDMGNI/GeometricIntegrators.jl).*

[![Documentation](https://img.shields.io/badge/docs-stable-blue.svg)](https://ddmgni.github.io/GeometricProblems.jl/stable/)
[![Documentation](https://img.shields.io/badge/docs-latest-blue.svg)](https://ddmgni.github.io/GeometricProblems.jl/dev/)
[![License](https://img.shields.io/badge/license-MIT-blue.svg)](LICENSE.md)
[![Build Status](https://travis-ci.org/DDMGNI/GeometricProblems.jl.svg?branch=master)](https://travis-ci.org/DDMGNI/GeometricProblems.jl)
[![Coverage Status](https://coveralls.io/repos/github/DDMGNI/GeometricProblems.jl/badge.svg)](https://coveralls.io/github/DDMGNI/GeometricProblems.jl)
[![codecov](https://codecov.io/gh/DDMGNI/GeometricProblems.jl/branch/master/graph/badge.svg)](https://codecov.io/gh/DDMGNI/GeometricProblems.jl)


#### Example Problems

- [ ] ABC Flow,
- [x] Exponential Growth,
- [ ] Fermi-Pasta-Ulam Problem,
- [ ] Hénon-Heiles System,
- [ ] Kepler Problem,
- [x] Lorenz Attractor in 3D,
- [x] Lotka-Volterra in 2D,
- [x] Lotka-Volterra in 3D,
- [x] Lotka-Volterra in 4D,
- [x] Massless Charged Particle,
- [x] Harmonic Oscillator,
- [ ] Nonlinear Oscillators,
    - [ ] Duffing Oscillator,
    - [ ] Lennard-Jones Oscillator,
    - [ ] Mathews-Lakshmanan Oscillator,
    - [ ] Morse Oscillator,
- [x] Mathematical Pendulum,
- [ ] Double Pendulum,
- [x] Planar Point Vortices,
- [ ] Rigid Body,
- [ ] Chaplygin Sleigh,
- [ ] Inner Solar System,
- [ ] Outer Solar System,
- [ ] Heavy Top.


See [ChargedParticleDynamics.jl](https://github.com/DDMGNI/ChargedParticleDynamics.jl) for

- Charged Particle Motion in various electromagnetic Fields,
- Guiding Center Dynamics in various magnetic fields,
- Gyrokinetic Dynamics in various magnetic fields.


See [GeometricExamples.jl](https://github.com/DDMGNI/GeometricExamples.jl) for
example scripts that run these problems with the integrators implemented in
[GeometricIntegrators.jl](https://github.com/DDMGNI/GeometricIntegrators.jl).


## License

The GeometricProblems.jl package is licensed under the [MIT "Expat" License](LICENSE.md).
